Sun Java System Message Queue 4.2 Installation Guide

Client Compatibility

Message Queue 4.2 message brokers and Java clients (applications and components) are two-way compatible with those from Message Queue 3.6 or 3.7: that is, a Message Queue 4.2 broker will support a Message Queue 3.6 or 3.7 Java client, and a Message Queue 4.2 Java client can connect to a Message Queue 3.6 or 3.7 broker. Expanded Message Queue 4.2 capabilities are unavailable in such cases, however.